package com.adealink.weparty.playmate.detail.data

import com.adealink.weparty.commonui.recycleview.diffutil.BaseListItemData
import com.adealink.weparty.playmate.data.PlaymateCommentData
import com.adealink.weparty.playmate.data.PlaymateDetailRes

data class PlaymateDetailLabel(
    val label: String
) : BaseListItemData

data class PlaymateDetailImg(
    val url: String
)


sealed class BasePlaymateDetailItem() : BaseListItemData


//标题+内容+标签+段位等
data class PlaymateDetailItemData(
    val data: PlaymateDetailRes
) : BasePlaymateDetailItem()


//星级+评价
data class PlaymateDetailCommentTitleItemData(
    val star: Float, //星级
    val commentCount: Int, //评论数
) : BasePlaymateDetailItem()

data class PlaymateDetailCommentLabelItemData(
    val commentLabels: List<PlaymateCommentLabel>, //评论标签
) : BasePlaymateDetailItem()


data class PlaymateCommentLabel(
    val label: String
) : BaseListItemData

//评价
data class PlaymateDetailCommentItemData(
    val data: PlaymateCommentData
) : BasePlaymateDetailItem() {
    var isExpand = false
}